function error = geterror( I, I2 )
% Function to compute the L2-norm using the image data for two images
% Parameters:
%            I - image data for the first image, used here as the original
%            image
%            I2 - image data for the second image, used here as the
%            compressed image
% Returns:
%            error - the L2-norm 

% The images are represented as square matrices, so this range works for
% the nested for loop
range = 1:length(I);

% Compute the error
error = 0;
for i=range
   for j=range
       error = error + (I2(i,j) - I(i,j))^2;
   end
end
error = sqrt(error);

end

